## idmef-criterion-value

idmef-criterion-value —

## Synopsis

    typedef     idmef_criterion_value_t;
    enum        idmef_criterion_value_type_t;
    int         idmef_criterion_value_new       (idmef_criterion_value_t **cv);
    int         idmef_criterion_value_new_regex (idmef_criterion_value_t **cv,
                                                 const char *regex,
                                                 idmef_criterion_operator_t op);
    int         idmef_criterion_value_new_value (idmef_criterion_value_t **cv,
                                                 idmef_value_t *value,
                                                 idmef_criterion_operator_t op);
    int         idmef_criterion_value_new_from_string
                                                (idmef_criterion_value_t **cv,
                                                 idmef_path_t *path,
                                                 const char *value,
                                                 idmef_criterion_operator_t op);
    int         idmef_criterion_value_new_broken_down_time
                                                (idmef_criterion_value_t **cv,
                                                 const char *time,
                                                 idmef_criterion_operator_t op);
    int         idmef_criterion_value_clone     (const idmef_criterion_value_t *src,
                                                 idmef_criterion_value_t **dst);
    void        idmef_criterion_value_destroy   (idmef_criterion_value_t *value);
    int         idmef_criterion_value_print     (idmef_criterion_value_t *value,
                                                 prelude_io_t *fd);
    int         idmef_criterion_value_to_string (idmef_criterion_value_t *value,
                                                 prelude_string_t *out);
    int         idmef_criterion_value_match     (idmef_criterion_value_t *cv,
                                                 idmef_value_t *value,
                                                 idmef_criterion_operator_t op);
    const idmef_value_t* idmef_criterion_value_get_value
                                                (idmef_criterion_value_t *cv);
    const char* idmef_criterion_value_get_regex (idmef_criterion_value_t *cv);
    const struct tm* idmef_criterion_value_get_broken_down_time
                                                (idmef_criterion_value_t *cv);
    idmef_criterion_value_type_t idmef_criterion_value_get_type
                                                (idmef_criterion_value_t *cv);

## Description

## Details

### idmef_criterion_value_t

    typedef struct idmef_criterion_value idmef_criterion_value_t;

### enum idmef_criterion_value_type_t

    typedef enum {
            IDMEF_CRITERION_VALUE_TYPE_ERROR            = -1,
            IDMEF_CRITERION_VALUE_TYPE_VALUE            =  0,
            IDMEF_CRITERION_VALUE_TYPE_REGEX            =  1,
            IDMEF_CRITERION_VALUE_TYPE_BROKEN_DOWN_TIME =  2
    } idmef_criterion_value_type_t;

### idmef_criterion_value_new ()

    int         idmef_criterion_value_new       (idmef_criterion_value_t **cv);

`cv` : |
Returns : |

### idmef_criterion_value_new_regex ()

    int         idmef_criterion_value_new_regex (idmef_criterion_value_t **cv,
                                                 const char *regex,
                                                 idmef_criterion_operator_t op);

`cv` : |
`regex` : |
`op` : |
Returns : |

### idmef_criterion_value_new_value ()

    int         idmef_criterion_value_new_value (idmef_criterion_value_t **cv,
                                                 idmef_value_t *value,
                                                 idmef_criterion_operator_t op);

`cv` : |
`value` : |
`op` : |
Returns : |

### idmef_criterion_value_new_from_string ()

    int         idmef_criterion_value_new_from_string
                                                (idmef_criterion_value_t **cv,
                                                 idmef_path_t *path,
                                                 const char *value,
                                                 idmef_criterion_operator_t op);

`cv` : |
`path` : |
`value` : |
`op` : |
Returns : |

### idmef_criterion_value_new_broken_down_time ()

    int         idmef_criterion_value_new_broken_down_time
                                                (idmef_criterion_value_t **cv,
                                                 const char *time,
                                                 idmef_criterion_operator_t op);

`cv` : |
`time` : |
`op` : |
Returns : |

### idmef_criterion_value_clone ()

    int         idmef_criterion_value_clone     (const idmef_criterion_value_t *src,
                                                 idmef_criterion_value_t **dst);

`src` : |
`dst` : |
Returns : |

### idmef_criterion_value_destroy ()

    void        idmef_criterion_value_destroy   (idmef_criterion_value_t *value);

`value` : |

### idmef_criterion_value_print ()

    int         idmef_criterion_value_print     (idmef_criterion_value_t *value,
                                                 prelude_io_t *fd);

`value` : |
`fd` : |
Returns : |

### idmef_criterion_value_to_string ()

    int         idmef_criterion_value_to_string (idmef_criterion_value_t *value,
                                                 prelude_string_t *out);

`value` : |
`out` : |
Returns : |

### idmef_criterion_value_match ()

    int         idmef_criterion_value_match     (idmef_criterion_value_t *cv,
                                                 idmef_value_t *value,
                                                 idmef_criterion_operator_t op);

`cv` : |
`value` : |
`op` : |
Returns : |

### idmef_criterion_value_get_value ()

    const idmef_value_t* idmef_criterion_value_get_value
                                                (idmef_criterion_value_t *cv);

`cv` : |
Returns : |

### idmef_criterion_value_get_regex ()

    const char* idmef_criterion_value_get_regex (idmef_criterion_value_t *cv);

`cv` : |
Returns : |

### idmef_criterion_value_get_broken_down_time ()

    const struct tm* idmef_criterion_value_get_broken_down_time
                                                (idmef_criterion_value_t *cv);

`cv` : |
Returns : |

### idmef_criterion_value_get_type ()

    idmef_criterion_value_type_t idmef_criterion_value_get_type
                                                (idmef_criterion_value_t *cv);

`cv` : |
Returns : |